# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXNewCompositeField

Function

Creates a new Composite Field Object.

Syntax
`
#include <dx/dx.h>
`

CompositeField DXNewCompositeField()

Functional Details

A Composite Field Object (a subclass of Group) is a collection of compatible Fields, all having a "positions" component of the same dimensionality, "data" components of the same type, and "connections" of the same "element type." A Composite Field is intended to be interpreted as a collection of Fields that together define a single Field.

Composite Fields are usually created by `DXPartition`. They are used to represent the spatial partitioning of one original Field. No member Field may overlap any other, and, where they abut they must share exact vertex locations. If the "connections" component of Composite Fields are regular (i.e., Mesh Arrays), then the "connections" component of each Field must have a "mesh offsets" attribute that indicates where in the original grid the new Field was located.

The type of a Composite Field is set the first time a typed member is added; a typed member is either a Field with a "data" component or a typed Group. All typed members added to a typed Composite Field must match the type of the Composite Field. If a Composite Field has no members, it is untyped.

The Field created can be deleted with DXDelete. See 4.2 , "Memory Management".

Return Value

Returns the Composite Field or returns `NULL` and sets an error code.

See Also

`DXGrow, DXGrowV, DXNewGroup, DXNewMultiGrid, DXNewSeries, DXSetMeshOffsets`

"Composite Fields".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]